Upstream information

CVE-2018-16889 at MITRE

Description

Ceph does not properly sanitize encryption keys in debug logging for v4 auth. This results in the leaking of encryption key information in log files via plaintext. Versions up to v13.2.4 are vulnerable.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1121567 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/hyperkube:v1.17.17
  • ceph-common >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libcephfs2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librados2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librbd1 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librgw2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-ceph-argparse >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-cephfs >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rados >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rbd >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rgw >= 14.2.1.468+g994fd9e0cc-3.3.2
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
SUSE CaaS Platform 3.0
  • ceph-common >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libradosstriper1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librgw2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE-CAASP-3.0-2019-2364
SUSE-CAASP-3.0-2019-499
SUSE Enterprise Storage 5
  • ceph >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-base >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-common >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-fuse >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-mds >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-mgr >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-mon >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-osd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • ceph-radosgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libradosstriper1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librgw2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-ceph-compat >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python3-ceph-argparse >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python3-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python3-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python3-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python3-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • rbd-fuse >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • rbd-mirror >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • rbd-nbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE-Storage-5-2019-2364
SUSE-Storage-5-2019-499
SUSE Enterprise Storage 6
  • ceph >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-base >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-common >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-fuse >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-grafana-dashboards >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-mds >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-mgr >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-mgr-dashboard >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-mgr-diskprediction-local >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-mgr-rook >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-mon >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-osd >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-prometheus-alerts >= 14.2.1.468+g994fd9e0cc-3.3.2
  • ceph-radosgw >= 14.2.1.468+g994fd9e0cc-3.3.2
  • cephfs-shell >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libcephfs-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libcephfs2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librados-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librados2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libradospp-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librbd-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librbd1 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librgw-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librgw2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-ceph-argparse >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-cephfs >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rados >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rbd >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rgw >= 14.2.1.468+g994fd9e0cc-3.3.2
  • rados-objclass-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • rbd-fuse >= 14.2.1.468+g994fd9e0cc-3.3.2
  • rbd-mirror >= 14.2.1.468+g994fd9e0cc-3.3.2
  • rbd-nbd >= 14.2.1.468+g994fd9e0cc-3.3.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2049
SUSE-Storage-6-2019-2049
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • ceph-common >= 15.2.9.83+g4275378de0-3.17.1
  • libcephfs-devel >= 15.2.9.83+g4275378de0-3.17.1
  • libcephfs2 >= 15.2.9.83+g4275378de0-3.17.1
  • librados-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librados2 >= 15.2.9.83+g4275378de0-3.17.1
  • libradospp-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librbd-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librbd1 >= 15.2.9.83+g4275378de0-3.17.1
  • librgw-devel >= 15.2.9.83+g4275378de0-3.17.1
  • librgw2 >= 15.2.9.83+g4275378de0-3.17.1
  • python3-ceph-argparse >= 15.2.9.83+g4275378de0-3.17.1
  • python3-ceph-common >= 15.2.9.83+g4275378de0-3.17.1
  • python3-cephfs >= 15.2.9.83+g4275378de0-3.17.1
  • python3-rados >= 15.2.9.83+g4275378de0-3.17.1
  • python3-rbd >= 15.2.9.83+g4275378de0-3.17.1
  • python3-rgw >= 15.2.9.83+g4275378de0-3.17.1
  • rados-objclass-devel >= 15.2.9.83+g4275378de0-3.17.1
  • rbd-nbd >= 15.2.9.83+g4275378de0-3.17.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA ceph-common-15.2.9.83+g4275378de0-3.17.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • ceph-common >= 15.2.2.18+g1dbcddb5d8-1.10
  • libcephfs-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • libcephfs2 >= 15.2.2.18+g1dbcddb5d8-1.10
  • librados-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librados2 >= 15.2.2.18+g1dbcddb5d8-1.10
  • libradospp-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librbd-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librbd1 >= 15.2.2.18+g1dbcddb5d8-1.10
  • librgw-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • librgw2 >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-ceph-argparse >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-ceph-common >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-cephfs >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-rados >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-rbd >= 15.2.2.18+g1dbcddb5d8-1.10
  • python3-rgw >= 15.2.2.18+g1dbcddb5d8-1.10
  • rados-objclass-devel >= 15.2.2.18+g1dbcddb5d8-1.10
  • rbd-nbd >= 15.2.2.18+g1dbcddb5d8-1.10
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA ceph-common-15.2.2.18+g1dbcddb5d8-1.10
SUSE Linux Enterprise Desktop 12 SP3
  • ceph-common >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • libcephfs-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • libcephfs2 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librados-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librados2 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • libradosstriper1 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librbd-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librbd1 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librgw2 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-cephfs >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-rados >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-rbd >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-rgw >= 12.2.10+git.1549630712.bb089269ea-2.27.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-499
SUSE-SLE-SDK-12-SP3-2019-499
SUSE Linux Enterprise Desktop 12 SP4
  • ceph-common >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libradosstriper1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librgw2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2364
SUSE-SLE-DESKTOP-12-SP4-2019-499
SUSE-SLE-SDK-12-SP4-2019-2364
SUSE-SLE-SDK-12-SP4-2019-499
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • ceph-common >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libcephfs-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libcephfs2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librados-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librados2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • libradospp-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librbd-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librbd1 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librgw-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
  • librgw2 >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-ceph-argparse >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-cephfs >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rados >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rbd >= 14.2.1.468+g994fd9e0cc-3.3.2
  • python3-rgw >= 14.2.1.468+g994fd9e0cc-3.3.2
  • rados-objclass-devel >= 14.2.1.468+g994fd9e0cc-3.3.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2049
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ceph-common >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • libcephfs-devel >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • libcephfs2 >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librados-devel >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librados2 >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • libradospp-devel >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librbd-devel >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librbd1 >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librgw-devel >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librgw2 >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • python3-ceph-argparse >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • python3-ceph-common >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • python3-cephfs >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • python3-rados >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • python3-rbd >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • python3-rgw >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • rados-objclass-devel >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • rbd-nbd >= 16.2.7.654+gd5a90ff46f0-150400.1.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA ceph-common-16.2.7.654+gd5a90ff46f0-150400.1.4
SUSE Linux Enterprise High Performance Computing 12 SP5
  • ceph-common >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libradosstriper1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librgw2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA ceph-common-12.2.12+git.1568024032.02236657ca-2.39.1
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • ceph-common >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • libcephfs-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • libcephfs2 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librados-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librados2 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • libradosstriper1 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librbd-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librbd1 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librgw2 >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-cephfs >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-rados >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-rbd >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • python-rgw >= 12.2.10+git.1549630712.bb089269ea-2.27.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-499
SUSE-SLE-SERVER-12-SP3-2019-499
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • ceph-common >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libradosstriper1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librgw2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2364
SUSE-SLE-SDK-12-SP4-2019-499
SUSE-SLE-SERVER-12-SP4-2019-2364
SUSE-SLE-SERVER-12-SP4-2019-499
SUSE Linux Enterprise Server 12 SP5
  • ceph-common >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libcephfs2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • libradosstriper1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd1 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librgw2 >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-cephfs >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rados >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rbd >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • python-rgw >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA ceph-common-12.2.12+git.1568024032.02236657ca-2.39.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libcephfs-devel-12.2.12+git.1568024032.02236657ca-2.39.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libcephfs-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libcephfs-devel-12.2.12+git.1568024032.02236657ca-2.39.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libcephfs-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librados-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
  • librbd-devel >= 12.2.10+git.1549630712.bb089269ea-2.27.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-499
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libcephfs-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librados-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
  • librbd-devel >= 12.2.12+git.1568024032.02236657ca-2.39.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2364
SUSE-SLE-SDK-12-SP4-2019-499
openSUSE Leap 15.2
  • librados2 >= 15.2.2.18+g1dbcddb5d8-lp152.1.1
  • librbd1 >= 15.2.2.18+g1dbcddb5d8-lp152.1.1
Patchnames:
openSUSE Leap 15.2 GA librados2-15.2.2.18+g1dbcddb5d8-lp152.1.1
openSUSE Leap 15.3
  • librados2 >= 15.2.11.83+g8a15f484c2-3.22.1
  • librbd1 >= 15.2.11.83+g8a15f484c2-3.22.1
Patchnames:
openSUSE Leap 15.3 GA librados2-15.2.11.83+g8a15f484c2-3.22.1
openSUSE Leap 15.4
  • librados2 >= 16.2.7.654+gd5a90ff46f0-150400.1.4
  • librbd1 >= 16.2.7.654+gd5a90ff46f0-150400.1.4
Patchnames:
openSUSE Leap 15.4 GA librados2-16.2.7.654+gd5a90ff46f0-150400.1.4
openSUSE Tumbleweed
  • ceph >= 16.2.6.45+g8fda9838398-1.1
  • ceph-base >= 16.2.6.45+g8fda9838398-1.1
  • ceph-common >= 16.2.6.45+g8fda9838398-1.1
  • ceph-fuse >= 16.2.6.45+g8fda9838398-1.1
  • ceph-grafana-dashboards >= 16.2.6.45+g8fda9838398-1.1
  • ceph-immutable-object-cache >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mds >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-cephadm >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-dashboard >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-diskprediction-local >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-k8sevents >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-modules-core >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mgr-rook >= 16.2.6.45+g8fda9838398-1.1
  • ceph-mon >= 16.2.6.45+g8fda9838398-1.1
  • ceph-osd >= 16.2.6.45+g8fda9838398-1.1
  • ceph-prometheus-alerts >= 16.2.6.45+g8fda9838398-1.1
  • ceph-radosgw >= 16.2.6.45+g8fda9838398-1.1
  • cephadm >= 16.2.6.45+g8fda9838398-1.1
  • cephfs-mirror >= 16.2.6.45+g8fda9838398-1.1
  • cephfs-shell >= 16.2.6.45+g8fda9838398-1.1
  • cephfs-top >= 16.2.6.45+g8fda9838398-1.1
  • libcephfs-devel >= 16.2.6.45+g8fda9838398-1.1
  • libcephfs2 >= 16.2.6.45+g8fda9838398-1.1
  • libcephsqlite >= 16.2.6.45+g8fda9838398-1.1
  • libcephsqlite-devel >= 16.2.6.45+g8fda9838398-1.1
  • librados-devel >= 16.2.6.45+g8fda9838398-1.1
  • librados2 >= 16.2.6.45+g8fda9838398-1.1
  • libradospp-devel >= 16.2.6.45+g8fda9838398-1.1
  • librbd-devel >= 16.2.6.45+g8fda9838398-1.1
  • librbd1 >= 16.2.6.45+g8fda9838398-1.1
  • librgw-devel >= 16.2.6.45+g8fda9838398-1.1
  • librgw2 >= 16.2.6.45+g8fda9838398-1.1
  • python3-ceph-argparse >= 16.2.6.45+g8fda9838398-1.1
  • python3-ceph-common >= 16.2.6.45+g8fda9838398-1.1
  • python3-cephfs >= 16.2.6.45+g8fda9838398-1.1
  • python3-rados >= 16.2.6.45+g8fda9838398-1.1
  • python3-rbd >= 16.2.6.45+g8fda9838398-1.1
  • python3-rgw >= 16.2.6.45+g8fda9838398-1.1
  • rados-objclass-devel >= 16.2.6.45+g8fda9838398-1.1
  • rbd-fuse >= 16.2.6.45+g8fda9838398-1.1
  • rbd-mirror >= 16.2.6.45+g8fda9838398-1.1
  • rbd-nbd >= 16.2.6.45+g8fda9838398-1.1
Patchnames:
openSUSE Tumbleweed GA ceph-16.2.6.45+g8fda9838398-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ceph Released
SLES for SAP Applications ceph Not affected
SUSE CaaS Platform 3.0 ceph Released
SUSE CaaS Platform 4.0 ceph Released
SUSE CaaS Platform 4.5 ceph Not affected
SUSE Container as a Service Platform 1.0 ceph Released
SUSE Container as a Service Platform 2.0 ceph Released
SUSE Enterprise Storage 4 ceph Unsupported
SUSE Enterprise Storage 5 ceph Released
SUSE Enterprise Storage 6 ceph Released
SUSE Enterprise Storage 7 ceph Not affected
SUSE Enterprise Storage 7.1 ceph Released
SUSE Linux Enterprise Desktop 11 SP4 ceph Not affected
SUSE Linux Enterprise Desktop 12 ceph Not affected
SUSE Linux Enterprise Desktop 12 SP2 ceph Ignore
SUSE Linux Enterprise Desktop 12 SP3 ceph Released
SUSE Linux Enterprise Desktop 12 SP4 ceph Released
SUSE Linux Enterprise Desktop 15 ceph Affected
SUSE Linux Enterprise Desktop 15 SP1 ceph Released
SUSE Linux Enterprise Desktop 15 SP2 ceph Not affected
SUSE Linux Enterprise Desktop 15 SP3 ceph Not affected
SUSE Linux Enterprise Desktop 15 SP4 ceph Released
SUSE Linux Enterprise High Performance Computing 12 SP4 ceph Released
SUSE Linux Enterprise High Performance Computing 12 SP5 ceph Released
SUSE Linux Enterprise High Performance Computing 15 ceph Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ceph Released
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS ceph Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS ceph Released
SUSE Linux Enterprise High Performance Computing 15 SP2 ceph Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS ceph Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS ceph Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 ceph Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 ceph Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS ceph Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS ceph Not affected
SUSE Linux Enterprise Micro 5.0 ceph Not affected
SUSE Linux Enterprise Micro 5.1 ceph Not affected
SUSE Linux Enterprise Micro 5.2 ceph Not affected
SUSE Linux Enterprise Micro 5.3 ceph Affected
SUSE Linux Enterprise Module for Basesystem 15 ceph Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 ceph Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 ceph Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 ceph Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 ceph Released
SUSE Linux Enterprise Real Time 15 SP2 ceph Not affected
SUSE Linux Enterprise Server 11 SP3 ceph Unsupported
SUSE Linux Enterprise Server 11 SP3 LTSS ceph Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS ceph Not affected
SUSE Linux Enterprise Server 11 SP4 ceph Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS ceph Not affected
SUSE Linux Enterprise Server 12 ceph Not affected
SUSE Linux Enterprise Server 12 SP2 ceph Ignore
SUSE Linux Enterprise Server 12 SP2-BCL ceph Ignore
SUSE Linux Enterprise Server 12 SP2-ESPOS ceph Ignore
SUSE Linux Enterprise Server 12 SP2-LTSS ceph Unsupported
SUSE Linux Enterprise Server 12 SP3 ceph Released
SUSE Linux Enterprise Server 12 SP3-BCL ceph Released
SUSE Linux Enterprise Server 12 SP3-ESPOS ceph Released
SUSE Linux Enterprise Server 12 SP3-LTSS ceph Released
SUSE Linux Enterprise Server 12 SP4 ceph Released
SUSE Linux Enterprise Server 12 SP4-ESPOS ceph Released
SUSE Linux Enterprise Server 12 SP4-LTSS ceph Released
SUSE Linux Enterprise Server 12 SP5 ceph Released
SUSE Linux Enterprise Server 12-LTSS ceph Not affected
SUSE Linux Enterprise Server 15 ceph Affected
SUSE Linux Enterprise Server 15 SP1 ceph Released
SUSE Linux Enterprise Server 15 SP1-BCL ceph Affected
SUSE Linux Enterprise Server 15 SP1-LTSS ceph Released
SUSE Linux Enterprise Server 15 SP2 ceph Not affected
SUSE Linux Enterprise Server 15 SP2-BCL ceph Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS ceph Not affected
SUSE Linux Enterprise Server 15 SP3 ceph Not affected
SUSE Linux Enterprise Server 15 SP4 ceph Released
SUSE Linux Enterprise Server 15-LTSS ceph Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 ceph Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 ceph Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 ceph Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP4 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 12 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ceph Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ceph Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ceph Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ceph Released
SUSE Linux Enterprise Server for SAP Applications 15 ceph Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ceph Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ceph Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 ceph Released
SUSE Linux Enterprise Software Development Kit 11 SP4 ceph Not affected
SUSE Linux Enterprise Software Development Kit 12 ceph Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 ceph Ignore
SUSE Linux Enterprise Software Development Kit 12 SP3 ceph Released
SUSE Linux Enterprise Software Development Kit 12 SP4 ceph Released
SUSE Linux Enterprise Software Development Kit 12 SP5 ceph Affected
SUSE Manager Proxy 4.0 ceph Released
SUSE Manager Proxy 4.1 ceph Not affected
SUSE Manager Proxy 4.2 ceph Not affected
SUSE Manager Proxy 4.3 ceph Released
SUSE Manager Retail Branch Server 4.0 ceph Released
SUSE Manager Retail Branch Server 4.1 ceph Not affected
SUSE Manager Retail Branch Server 4.2 ceph Not affected
SUSE Manager Retail Branch Server 4.3 ceph Released
SUSE Manager Server 4.0 ceph Released
SUSE Manager Server 4.1 ceph Not affected
SUSE Manager Server 4.2 ceph Not affected
SUSE Manager Server 4.3 ceph Released
SUSE OpenStack Cloud 7 ceph Ignore
SUSE OpenStack Cloud 8 ceph Released
SUSE OpenStack Cloud 9 ceph Released
SUSE OpenStack Cloud Crowbar 8 ceph Released
SUSE OpenStack Cloud Crowbar 9 ceph Released
ses/7.1/cephcsi/cephcsi
ses/7.1/rook/ceph
cephIn progress


SUSE Timeline for this CVE

CVE page created: Fri Jan 11 03:46:05 2019
CVE page last modified: Mon Nov 28 14:18:45 2022